AO-USBTRNG(1)

NAME
ao-usbtrng - dump random numbers from USBtrng

SYNOPSIS
ao-usbtrng [OPTION...] [KBYTES]

DESCRIPTION
ao-usbtrng dumps random numbers from a USBtrng device. If provided KBYTES specifies the number of 1024 byte blocks to produce on standard output. Without KBYTES ao-usbtrng produces random bytes continuously until killed.

OPTIONS

-v, --verbose
    increase verbosity

-T, -tty=TTYDEVICE
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D, --device=ALTOSDEVICE
    Search for a connected device. This requires an argument of one of the following forms:

    usbtrng:2
    usbtrng
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

USAGE
ao-usbtrng opens the target device and reads the specified number of KBYTES of random data.

AUTHOR
Keith Packard